Page 1 of 3 123 LastLast
Results 1 to 10 of 30

Thread: VLC not playing mp4 files

  1. #1
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default VLC not playing mp4 files

    When trying to play an mp4 file I get this message:

    Codec not supported:

    VLC could not decode the format "mp4a" (MPEG AAC Audio)
    Codec not supported:
    VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part 10))

    What files are needed to install?
    Thanks






  2. #2
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,317

    Default Re: VLC not playing mp4 files

    On Tue, 20 Mar 2018 03:26:01 +0000, vinoman2 wrote:

    > When trying to play an mp4 file I get this message:
    >
    > Codec not supported:
    >
    > VLC could not decode the format "mp4a" (MPEG AAC Audio)
    > Codec not supported:
    > VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part 10))
    >
    > What files are needed to install?
    > Thanks


    Which openSUSE version/release are you using, and where did you install
    VLC from?



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  3. #3
    Join Date
    Jun 2008
    Location
    where I am is where I am
    Posts
    1,190

    Default Re: VLC not playing mp4 files

    vinoman,
    I used to get those 1st I've seen you here before so I'm sure you've gotten your VLC from Packman. That said you might want to try this:
    Code:
    zypper in vlc codecs
    Or use Yast, sometimes for some reason the codecs don't get added and must be done the way listed.
    I'm just a curious cat
    My 64 bit: CPU AMD RYZEN 9 3900X 12 Core GPU MSI Radeon RX5600 XT
    MOTHERBOARD GIGABYTE B550 AORUS PRO AC
    Opensuse Tumbleweed Plasma 5

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: VLC not playing mp4 files

    It's fine for me
    Please make sure you have the vlc-codecs as suggested

    Even though I use Tumbleweed I still use the Package switch on Packman or
    Code:
    zypper dup --from Packman
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,725

    Default AW: VLC not playing mp4 files

    zypper in vlc codecs
    Better:
    Code:
    zypper in vlc-codecs

  6. #6
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: VLC not playing mp4 files

    Quote Originally Posted by vinoman2 View Post
    When trying to play an mp4 file I get this message:

    Codec not supported:

    VLC could not decode the format "mp4a" (MPEG AAC Audio)
    Codec not supported:
    VLC could not decode the format "h264" (H264 - MPEG-4 AVC (part 10))

    What files are needed to install?
    Thanks




    you should tell us your repo list as the above suggestions won't work without the packman repo
    assuming you don't have the packman repo do these 4 commands in succession

    Code:
    zypper ar -f ftp://packman.inode.at/suse/openSUSE_Tumbleweed/ packman
    zypper dup --from packman
    zypper in vlc-codecs
    zypper rm vlc-codec-gstreamer
    vlc-codec-gstreamer might get installed automatically and that one uses gstreamer as a vlc backend which imo is pointless that's why you should remove it

    ps. if you're on an intel graphic card you might need to disable vdpau (which is the default decoder in vlc) set vaapi as the preferred hardware acceleration method, nvidia users should keep vdpau and amd can use eather

  7. #7
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Re: VLC not playing mp4 files

    Quote Originally Posted by Sagemta View Post
    vinoman,
    I used to get those 1st I've seen you here before so I'm sure you've gotten your VLC from Packman. That said you might want to try this:
    Code:
    zypper in vlc codecs
    Or use Yast, sometimes for some reason the codecs don't get added and must be done the way listed.
    I'm using Tumbleweed and installed vlc in yast. I get this from the command...

    Code:
    linux-dix8:/home/davek # zypper in vlc codecs
    Loading repository data...
    Reading installed packages...
    'vlc' is already installed.
    No update candidate for 'vlc-3.0.1-4.9.x86_64'. The highest available version is already installed.
    'codecs' not found in package names. Trying capabilities.
    No provider of 'codecs' found.
    Resolving package dependencies...
    
    Nothing to do.
    linux-dix8:/home/davek #
    It should be working, whats missing?

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,789

    Default Re: VLC not playing mp4 files

    Quote Originally Posted by vinoman2 View Post
    It should be working, whats missing?
    Maybe Packman?
    Henk van Velden

  9. #9
    Join Date
    Jun 2008
    Location
    Oregon
    Posts
    455

    Default Re: VLC not playing mp4 files

    have Packman repo

  10. #10

    Default Re: VLC not playing mp4 files

    Quote Originally Posted by vinoman2 View Post
    have Packman repo
    Then do a full switch to it as you've been told already.
    I.e. run something like "zypper dup --from packman".

    PS:
    vlc-codecs is not really *needed* anymore either, as the standard vlc-noX package contains an avcodec plugin that uses ffmpeg/libavcodec and supports everything the installed ffmpeg/libavcodec does.
    ffmpeg/libavcodec should/has to come from Packman though, the standard openSUSE version does not support MPEG4 (H264, AAC).

    And the VDPAU support has been split out to vlc-vdpau, so if it causes problems you can just uninstall that package too instead of changing the settings...
    Last edited by wolfi323; 20-Mar-2018 at 05:16.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •